Skip navigation links

MySQL Forums :: Install & Repo :: How to make MySQL 5.5.16 work on Mac OSX 10.7 Lion (server)


Advanced Search

How to make MySQL 5.5.16 work on Mac OSX 10.7 Lion (server)
Posted by: Steen Rabol ()
Date: October 08, 2011 01:54AM

Hi

I was so 'stupid' not to read the whole read me.txt before installing MySQL 5.5.16.

I now have the following problems:

MySQL workbench cannot connect and give the following error:
QueryError: Error executing 'You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'plugins' at line 1
Show plugins
SQL Error 1064.

The MySQL 5.5.16 installer is so 'stupid' that it does not contain any un-installer, and the installer is so 'stupid' that it does not issue a warning about that another Mysqld is running.

MySQL Workbench is so 'Stupid' that it does not check for the MySQL version.

I cannot stop the MySQL server via the preference pane

If I try to stop mysql from the terminal, it starts immediately again.

Is there a way to:

1) Make the 5.5.16 installation work
or
2) uninstall 5.5.16 100% and then start over ?


I know that I was stupid not to read the read me, completely, but I'm new to mac and on Windows I have never seen problems like this.

I would hate it if I have to re-install the server.

Any help will be appriciated.

Thanks in advance.

Kind regards
Steen

Options: ReplyQuote


Subject Written By Posted
How to make MySQL 5.5.16 work on Mac OSX 10.7 Lion (server) Steen Rabol 10/08/2011 01:54AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.